Option to ignore transparency values in "Load Min Max From Band" button

2007-12-07 03:55 PM - cgs_bob -

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Gentoo Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10916

Description

I am working on a dem that has a nodata value of -9999.  The person who created this also used the value -999 as a "novalue".  So, I

made -999 transparent.  When I click on the "Load Min Max From Band" button, I wish it would not consider the transparent values.

History

#1 - 2007-12-30 06:38 PM - ersts -

The [[NoDataValue]] should not be considered for sure. As for Transparent values, it may be possible to consider 100% transparency pixels as "no data"

but this could lead to so other strange behaviour. This is an enhancement that should be reviewed by the Steering Committee.

#2 - 2008-08-06 05:49 PM - ersts -

- Resolution set to fixed

- Status changed from Open to Closed

The [[NoDataValue]] is now excluded in both the estimated and internally computed min-max.

As for the second idea, after some thought I don't think excluding 100% transparent values will be possible or really appropriate.

1) The raster class is currently heavily reliant on GDAL, and uses GDAL's GDALComputeRasterMinMax to get the estimated min-max values. This function

does not have the ability to ignore values other then the nodatavalue - as far as I understand

2) The transparency setting is just that, a way to change the transparency of pixel values. It is not really an on the fly recoding capability. I think a simple

raster reclassify plugin would be the way to go, which could be a great core feature as well but not something that will be possible for v1.0

This idea should be revisited toward v2.0

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
